Catalog API
Get package manifest
Full package manifest for an asset — file list, sizes, and per-file CDN URLs. Public.
GET
/v1/assets/packagePath & query parameters
idstring (query)required | Asset id. |
versioninteger (query) | Pin a specific revision. |
Request
curl "https://api.lyncut.com/v1/assets/package?id=ast_17e2"Response
{
"data": {
"id": "ast_17e2",
"version": 3,
"files": [
{ "path": "filter.bin", "sizeBytes": 2204000, "url": "https://cdn.lyncut.com/..." },
{ "path": "preview.webp", "sizeBytes": 182000, "url": "https://cdn.lyncut.com/..." }
]
}
}Was this page helpful?
Request
curl "https://api.lyncut.com/v1/assets/package?id=ast_17e2"Response
{
"data": {
"id": "ast_17e2",
"version": 3,
"files": [
{ "path": "filter.bin", "sizeBytes": 2204000, "url": "https://cdn.lyncut.com/..." },
{ "path": "preview.webp", "sizeBytes": 182000, "url": "https://cdn.lyncut.com/..." }
]
}
}